# DIGITAL TCP/IP Services for OpenVMS
Management Command Reference

Previous | Contents

Adds the name of UNIX-style directory /gold/finch to the export database, specifying that remote users on host GOLD can access it. #2

    UCX> ADD EXPORT "/gold/finch" /HOST=(PURPLE,FINCH)

> NFS client users on hosts purple and finch will have access to the container file system /gold/finch.

# ADD PROXY

> Adds entries to the proxy database.

> Proxies give users an account name (OpenVMS identity). The proxy database contains "communication" proxies and NFS proxies:

> - Communication proxy
>   - Provides an identity for users of RSH, RLOGIN, REXEC, RMT/RCD, LPR/LPD, and customer-written services, if these services are marked with SET SERVICE /FLAGS=APPLICATION_PROXY.

>     > Note

>     > The ROOT account does not require a communication proxy in the proxy database. The setting of /FLAGS=APPLICATION_PROXY flag is not relevant.

>   - Required qualifiers: /HOST, /REMOTE_USER.
> - NFS proxy
>   - Provides an identity for users of NFS client, NFS server, PC-NFS. No two proxies can have the same UID and host combination.
>   - Required qualifiers: /HOST, /GID, /UID.

> You can combine NFS and communication proxies in one record.

> Related commands: SHOW HOST, DCL command AUTHORIZE, CONVERT/VMS PROXY, REMOVE PROXY, SHOW PROXY

> Applies to: NFS server, NFS client, PC-NFS, RSH, LPR/LPD, and customer-developed services

## Format for NFS Proxies

> ### ADD PROXY user {/GID=n | /HOST=host | /UID=n} [/NFS=options | /PERMANENT ]

## Format for Communication Proxies

> ### ADD PROXY user {/HOST=host | /REMOTE_USER=user} [/PERMANENT]

## Restrictions and Tips

> - Requires read and write access to the proxy database.
> - Requires one of the following:
>   - SYSPRV privileges
>   - BYPASS and OPER privileges
> - For each host, define both its host name and alias name.
> - For each entry, use uppercase and lowercase consistently.

## PARAMETERS

> ### user

> Required.

> Local OpenVMS identity for the user of: NFS server, NFS client, PC-NFS, remote shell, or LPR/LPD.

## QUALIFIERS

> ### /GID=n

> Required for an NFS proxy.

> Group identifier (GID) for an NFS user.

> Wildcards not allowed.

> ### /HOST=host

> Required.

> Host name on which the NFS user is working.

> - The host must be seen on the SHOW HOST display. Use this command to verify that the host is known to UCX because ADD PROXY does not do this check.
> - You can use wildcards.
> - Suggested: define the host name and its alias name.

> ### /NFS=INCOMING

> ### /NFS=OUTGOING

> Optional. Default: /NFS=(INCOMING,OUTGOING).

> Creates an NFS proxy for local clients, remote clients, or PC-NFS clients. Specify one of the following:

> - /NFS=OUTGOING --- Proxy to use NFS client
> - /NFS=INCOMING --- Proxy to use NFS server
> - /NFS=(OUTGOING,INCOMING) --- Both

> ### /PERMANENT

> Optional. Default: Both permanent and volatile databases.

> Adds the entry only to the permanent proxy database.

> - Communication proxy
>   - If REMOTE is not active, changes are made to the permanent database.
>   - If REMOTE is active, changes to the permanent database take effect after you restart RSH, RLOGIN, or LPD.

> ### /REMOTE_USER=user

> Required for a communication proxy. Not valid on NFS proxy.

> Remote client's user name.

> Wildcards allowed.

> ### /UID=n

> Required for an NFS proxy.

> User identifier (UID) for an NFS user.

> Wildcards not allowed.

##

### Examples

#1

    UCX> ADD PROXY HAWAIIAN_GOOSE /NFS=(OUTGOING,INCOMING) -
    _UCX> /GID=10 /UID=444 /HOST="nene"

> Creates a proxy called HAWAIIAN_GOOSE, authorizing use of both NFS client and NFS server to and from host nene.

#2

    UCX> ADD PROXY COUSINS /GID=10 /UID=40 /NFS=OUTGOING -
    _UCX> /HOST=("grackle","blackbird")

> Enters an NFS proxy called COUSINS for a local NFS client user named COUSINS. This user can access remote files from NFS servers grackle and blackbird.

#3

    UCX> ADD PROXY REMOTE_UGLY_DUCKLING /REMOTE_USER="cygnet" /HOST="babyswan"

> Adds to the proxy database communication proxy REMOTE_UGLY_DUCKLING for remote user cygnet at host babyswan.

# ANALYZE CONTAINER

> Verifies the integrity of a UNIX-style container file, including:
> - Superblock validation
> - Inode validation
> - Directory validation
> - Internal allocation validation
> - Directory hierarchy validation

> Reports, and optionally corrects, problems within the structure of the directory.

> Related commands: DIRECTORY, SHOW CFS

> Applies to: NFS server

## Format

> ### ANALYZE CONTAINER "device:path.name" [/[NO]CONFIRM | /[NO]REPAIR]

## Restrictions and Tips

> Before you issue ANALYZE CONTAINER, map the OpenVMS volume on which the container directory resides.

> DIGITAL recommends that you unmap the container file system to prevent access to it while you analyze it.

> You must have BYPASS privileges.

## PARAMETERS

> ### "device:path.name"

> Required.

> Device and container directory to analyze.

## QUALIFIERS

> ### /CONFIRM

> ### /NOCONFIRM

> Optional. Default: /NOCONFIRM.

> Use only with the /REPAIR qualifier.

> When the software encounters a problem, it displays a description and solution and then requests confirmation before making each correction. Enter one of the following:

> - Y to repair the problem
> - N to ignore the problem
> - G to change to NO CONFIRMATION mode

> Example:

>     %UCX-E-ANA_SUP_BADIICGSIZE, Problem: Bad initial inode cell
>     group size: bad_value
>     Solution: Will be replaced by
>     default size: good_value
>             CONFIRM [Y/N/G]:

> ### /REPAIR

> ### /NOREPAIR

> Optional. Default: /NOREPAIR.

> Repairs errors.

##

### Examples

#1

    UCX> MAP "/dua0" DUA0:
    UCX> ANALYZE CONTAINER DUA0:[WREN$20]

> Verifies the integrity of container DUA0:[WREN$20].

# ANALYZE MAIL

> Verifies the consistency of the SMTP queues with SMTP control files.

> Related commands: REMOVE MAIL, SHOW MAIL

> Applies to: SMTP

## Format

> ### ANALYZE MAIL [user] [/[NO]CONFIRM | /DELETE[=options] | /HOLD=time | /LOG=file | /[NO]REPAIR]

## Restrictions

> Requires SYSNAM, SYSPRV, or BYPASS privileges for mail that is not yours.

## PARAMETERS

> ### user

> Optional. Default: All users.

> User whose mail you want to analyze.

## QUALIFIERS

> ### /CONFIRM

> ### /NOCONFIRM

> Optional. Default: /NOCONFIRM

> Use only with the /REPAIR or /DELETE qualifier.

> When the software encounters a problem, it displays a description and solution and then requests confirmation before making a correction or deleting each record. Enter one of the following:

> - Y to repair the problem
> - N to ignore the problem
> - G to change to NO CONFIRMATION mode

> ### /DELETE [=BEFORE=time | =SINCE=time]

> Optional. Default: Files not deleted.

> Deletes each control file without a corresponding queue entry.

> - =BEFORE=time
>   - Deletes files created before the specified time.
>   - Default: Current date and time.
> - =SINCE=time
>   - Deletes files created since the specified time.
>   - Default: Deletes all files.

> Use the /DELETE and /REPAIR qualifiers on the same command line only if their time frames do not conflict.

> The following example re-queues "lost" mail created since yesterday and deletes all previous mail:

>     UCX> ANALYZE MAIL /REPAIR /DELETE=BEFORE=YESTERDAY

> ### /HOLD=time

> Optional. Default: Immediate retransmission.

> Hold, until the specified time, "lost" control files that you re-queued.

> ### /LOG[=file]

> Optional. Default: [current_default_dir]:UCX$SMTP_ANALYZE.LOG.

> Writes the ANALYZE MAIL log to the specified file.

> ### /REPAIR

> ### /NOREPAIR [=BEFORE=time | =SINCE=time]

> Optional. Default: /NOREPAIR.

> Corrects errors as follows:

> - Resubmits for delivery each valid control file in the SMTP directory with no entry in an SMTP queue.
> - Deletes each invalid control file (fails the internal consistency check) and the corresponding queue entry.
> - Either re-queues or deletes messages placed on hold.

> Supports the following options:

> - =BEFORE=time
>   - Deletes files created before the specified time.
>   - Default: Current date and time.
> - =SINCE=time
>   - Deletes files created since the specified time.
>   - Default: Deletes all files.

> Do not use /REPAIR with /DELETE if their time frames conflict.

##

### Examples

#1

    UCX> ANALYZE MAIL /REPAIR

> Displays status for the SMTP queues and re-queues each valid control file lacking a corresponding queue entry.

#2

    UCX> ANALYZE MAIL /DELETE

> Creates the summary of SMTP queues and deletes each valid control file lacking a corresponding SMTP queue entry.

#3

    UCX> ANALYZE MAIL DRAKE

    %UCX-I-ANA_RUNING, ANALYZE runs on node DODO

    %UCX-I-ANA_NOENTR, no queue entry found for file
    NEST3$:[DRAKE]93042311394417_DRAKE.UCX_DODO;1

    %UCX-I-ANA_COMPLE, ANALYZE completed on node DODO

    %UCX-I-ANA_FEPAIR, found 0 file-queue entry pairs
    %UCX-I-ANA_DELQEN, deleted 0 queue entries
    %UCX-I-ANA_FILNOQ, found 1 files with no queue entries
    %UCX-I-ANA_FILHLD, holding 0 files in directory
    %UCX-I-ANA_FILDEL, deleted 0 files from the Postmaster directory
    %UCX-I-ANA_SUBFIL, submitted 0 files to the generic queue
    %UCX-I-ANA_FILACE, encountered 0 file access errors
    %UCX-I-ANA_NONCFF, found 0 non-unknown files in Postmaster directory
    %UCX-I-ANA_FILCOR, found 0 corrupted CF files in Postmaster directory
    UCX>

> Creates a summary of SMTP entries and control files for user DRAKE.

#4

    UCX> ANALYZE MAIL DRAKE /REPAIR /DELETE=BEFORE=24-SEP-1997

> - Creates a summary of SMTP entries and control files for user DRAKE.
> - Re-queues control files lacking corresponding queue entries.
> - Deletes control files created before September 24, 1997.

# ANALYZE SERVICE

> Searches through the services database for corrupted definitions. Displays invalid records and, with the /REPAIR qualifier, deletes them.

> Related commands: SET SERVICE, SHOW SERVICE

## Format

> ### ANALYZE SERVICE [/[NO]CONFIRM | /[NO]REPAIR]

## Restrictions

> Requires write access to the directory with the services database.

## QUALIFIERS

> ### /CONFIRM

> ### /NOCONFIRM

> Optional. Default: /NOCONFIRM.

> Use only with the /REPAIR qualifier.

> When the software encounters a problem, it displays a description and solution and then requests confirmation before making a correction. Enter one of the following:

> - Y to repair the problem
> - N to ignore the problem
> - G to change to NO CONFIRMATION mode

> Example:

>     %UCX-E-ANA_SUP_BADIICGSIZE, Problem: Bad initial inode cell
>     group size: bad_value
>     Solution: Will be replaced by
>     default size: good_value
>             CONFIRM [Y/N/G]:

> ### /REPAIR

> ### /NOREPAIR

> Optional. Default: /NOREPAIR

> Deletes the corrupted records.

##

### Examples

#1

    UCX> ANALYZE SERVICE

                        Invalid IP option records
        Service             Port  Proto    Process          Address

        TOE                   25  TCP      TOED             0.0.0.0
        NESTING              560  TCP      NEW_EGGS_UCX     0.0.0.0

    IP option records
      Total:              0
      Invalid:            0

    TCP option records
      Total:              7
      Invalid:            2

> Displays total and invalid protocol option records found in two service definitions, TOE and NESTING.

#2

    UCX> ANALYZE SERVICE /REPAIR /CONFIRM

                        Invalid IP option records
        Service             Port  Proto    Process          Address

        TOE                   67  UDP      TOED             0.0.0.0
    Remove? [N]: YES [Return]

        Service             Port  Proto    Process          Address

        NESTING               69  UDP      NEW_EGGS_UCX     0.0.0.0
    Remove? [N]: YES [Return]

> Displays the total protocol option records and deletes, after confirmation, the invalid records.

# BIND

> See the MAP command.

# CONVERT/ULTRIX BIND

> 1. Creates a BIND server database.
> 2. Extracts data from the hosts database and Mail Exchanger (MX) information from the routes database.
> 3. Populates the BIND server database with the host and MX data.
> 4. Creates a forward translation file.
> 5. Creates a reverse translation file if:
>    - You specify /DOMAIN=(domain.name).
>    - The end of domain.name is IN-ADDR.arpa.

>    Related commands: SET HOST, SET MX_RECORD, SET CONFIGURATION BIND, SHOW CONFIGURATION BIND

>    Applies to: BIND server.

## Format

> ### CONVERT/ULTRIX BIND [out_file] /DOMAIN=domain.name [/[NO]LOG]

## PARAMETERS

> ### out_file

> Optional. Default: SYS$SPECIFIC:[UCX$BIND]domain.DB.

> Device and directory specified in SYSUAF.DAT for the BIND server's user name.

> Domain name with the dots ( . ) changed to underscores ( _ ).

> File type: .DB

> Example: If the BIND server's directory is SYS$SPECIFIC:[UCX$BIND] and you have specified domain abc.def.com, the default output file is named:

> SYS$SPECIFIC:[UCX$BIND]ABC_DEF_COM.DB

> - DIGITAL suggests that you do not change the default. If you do, the file is created in your current directory.
> - Specify the full OpenVMS file specification.
> - Do not specify a version number.
> - Do not use wildcards.

## QUALIFIERS

> ### /DOMAIN=domain.name

> Required.

> Domain for which to extract data. Determines whether forward translation or reverse translation is to be performed.

> - Must be fully qualified.
> - Closing dot is not required.
> - Do not use wildcards.
> - Specify between 4 and 0 parts of the IP address for varying degrees of selectivity. Example of reverse translation:
>   /DOMAIN=16.IN-ADDR.arpa --- less selective
>   /DOMAIN=8.20.16.IN-ADDR.arpa --- more selective

> The end of domain.name determines if a forward or reverse translation is performed. For:

> - Ending = IN-ADDR.arpa
>   - Reverse translation is performed.
>   - The domain is some part of an IP address, reversed, and added to IN-ADDR.arpa.
>   - Includes the contents of the hosts database in the output.
> - All other endings
>   - Forward translation is performed.
>   - All hosts in domain.name or in any of its subdomains are selected for the output file.
>   - Example: /DOMAIN=DAW.MAG.COM
>     CONVERT/ULTRIX BIND does a forward translation and selects hosts in DAW.MAG.COM and in its subdomains.

> ### /LOG

> ### /NOLOG

> Optional. Default: /NOLOG.

> Shows records as they are processed.

##

### Examples

#1

    UCX> CONVERT/ULTRIX BIND

> On host KESTREL, creates a BIND server database with default file name SYS$SPECIFIC:[UCX$BIND]KESTREL_SMALL_FALCON.DB.

> BIND and MX records for the host's domain, kestrel.small.falcon.edu, are extracted, converted, and written to KESTREL_SMALL_FALCON.DB.

# CONVERT/ULTRIX HOST

> Reads the hosts database and converts the information to a UNIX-formatted /etc/hosts file.

> The name of the hosts database is specified by the logical name UCX$HOST. If this name is not defined, the command looks for UCX$HOST.DAT in your current directory.

> Related commands: CREATE HOST, SET HOST, SHOW HOST

## Format

> ### CONVERT/ULTRIX HOST [destination_file] [/BYADDRESS | /LOG | /[NO]YP_FORMAT]

## Restrictions

> Requires:
> - Read access to the hosts database.
> - Write access to /etc/hosts.

## PARAMETERS

> ### destination_file

> Optional. Default: ETC.HOSTS in the directory that has the BIND server.

> Name for the new file.

## QUALIFIERS

> ### /BYADDRESS

> Optional. Default: Sorts by name.

> Sorts entries in the converted file by IP address.

> ### /LOG

> Optional. Default: No display.

> Interactively displays the processing.

> ### /YP_FORMAT

> ### /NOYP_FORMAT

> Optional. Default: YP_FORMAT.

> Formats the UNIX file in Yellow Pages (YP) format. The destination file has the following format:

>     IP_address  host  host_alias_list

> /NOYP_FORMAT: the destination file is formatted as follows:

>     host   IP_address  host_alias_list

> If you plan to use a BIND-formatted database on your UNIX system, specify /NOYP_FORMAT.

##

### Examples

#1

    UCX> CONVERT/ULTRIX HOST

> Copies the hosts database file and converts it to a UNIX-formatted /etc/hosts file.

# CONVERT/ULTRIX NETWORK

> Reads the networks database and converts the information to a UNIX-formatted /etc/networks file.

> The name of the networks database is specified by the logical name UCX$NETWORK. If this name is not defined, the command looks for UCX$NETWORK.DAT in your current directory.

> Related commands: CREATE NETWORK, SET NETWORK, SHOW NETWORK

## Format

> ### CONVERT/ULTRIX NETWORK [destination_file] [/BYADDRESS | /LOG]

## Restrictions

> Requires:
> - Read access to the hosts database.
> - Write access to /etc/network.

## PARAMETERS

> ### destination_file

> Optional. Default: []ETC.NETWORKS (UNIX-formatted)

> Name of the new UNIX-style formatted file.

## QUALIFIERS

> ### /BYADDRESS

> Optional. Default: Sorts by name.

> Sorts the converted file by network number.

> ### /LOG

> Optional. Default: No display.

> Displays processing.

##

### Examples

#1

    UCX> CONVERT/ULTRIX NETWORK /LOG

> Converts the networks database into a UNIX-formatted /etc/networks file and displays records as they are being processed.

# CONVERT/VMS BOOTP

> Populates the existing BOOTP database with entries from a BIND-formatted UNIX /etc/bootptab file.

> If the logical name UCX$BOOT is defined, it is used to specify the directory and file name for the database. If UCX$BOOT is not defined, the database is created as [current_directory]UCX$BOOTP.DAT.

> Related commands: CREATE BOOTP, SET BOOTP, SHOW BOOTP

## Format

> ### CONVERT/VMS BOOTP [source_file] [/ADD_HOST | /FILE=sys_image_file]

## Restrictions

> If you specify the /ADD_HOST qualifier, requires read and write access to the hosts database.

## PARAMETERS

> ### source_file

> Optional. Default: ETC.BOOTPTAB in your current directory.

> File to be converted.

## QUALIFIERS

> ### /ADD_HOST

> Optional. Default: No adding.

> Adds new host names found in the UNIX /etc/bootptab file to UCX$HOST.DAT.

> ### /FILE=sys_image_file

> Optional. Default: None.

> Client's system image file to download if this file name is not in the BOOTP database.

##

### Examples

#1

    UCX> CONVERT/VMS BOOTP BOOTP.DAT /ADD_HOST

> This command specifies the following:

> - CONVERT/VMS BOOTP --- Converts a UNIX ASCII boot data file to an OpenVMS indexed file
> - BOOTP.DAT --- Specifies the source UNIX-style boot file to convert
> - /ADD_HOST --- For new hosts, also adds them to the hosts database

# CONVERT/VMS HOST

> Populates the existing hosts database with entries from a BIND-formatted UNIX /etc/hosts file.

> The name of the hosts database is specified by the logical name UCX$HOST. If this name is not defined, the command looks for UCX$HOST.DAT in your current directory.

> Related commands: CREATE HOST, SET HOST, SHOW HOST

## Format

> ### CONVERT/VMS HOST [source_file] [/LOG | /UPCASE | /[NO]YP_FORMAT]

## Restrictions

> Requires:
> - Read and write access to the hosts database.
> - Read access to /etc/hosts.
> - Exclusive use of the hosts database.

## PARAMETERS

> ### source_file

> Optional. Default: ETC.HOSTS in your current directory.

> File to be converted to a hosts database file.

## QUALIFIERS

> ### /LOG

> Optional. Default: No logging.

> Displays records as they are being processed.

> ### /UPCASE

> Optional. Default: Not created.

> Creates an uppercase alias name for each host.

> ### /YP_FORMAT

> ### /NOYP_FORMAT

> Optional. Default: /YP_FORMAT.

> Creates the UNIX file in Yellow Pages (YP) format.

> Specify /NOYP_FORMAT for a BIND database.

> If you specify /YP_FORMAT, the converted file has the following format:

>     IP_address  host  host_alias_list

> The /etc/hosts file, which is served by YP, also has this format.

> If you specify /NOYP_FORMAT, the converted file has the following format:

>     host  IP_address  host_alias_list

> Each field is delimited by space or tab characters.

##

### Examples

#1

    UCX> CONVERT/VMS HOST

> Converts the UNIX-formatted /etc/hosts into an OpenVMS-formatted hosts database called UCX$HOST.DAT. The OpenVMS file name of /etc/hosts is ETC.HOSTS in your current directory.

# CONVERT/VMS NETWORK

> Populates the existing networks database with entries from a BIND-formatted UNIX /etc/networks file.

> The name of the networks database is specified by the logical name UCX$NETWORK. If this name is not defined, the command looks for UCX$NETWORK.DAT in your current directory.

> Related commands: CREATE NETWORK, SET NETWORK, SHOW NETWORK

## Format

> ### CONVERT/VMS NETWORK [source_file] [/LOG | /UPCASE | /[NO]YP_FORMAT]

## Restrictions

> Requires:
> - Read and write access to the networks database.
> - Read access to /etc/networks.
> - Exclusive use of the networks database.

## PARAMETERS

> ### source_file

> Optional. Default: ETC.NETWORKS in your current directory.

> Name of the file to be converted.

## QUALIFIERS

> ### /LOG

> Optional. Default: Log file created.

> Interactively displays records as they are being processed.

> ### /UPCASE

> Optional. Default: Not created.

> Specifies that an uppercase alias name is created for each network name.

> ### /YP_FORMAT

> ### /NOYP_FORMAT

> Optional. Default: /YP_FORMAT.

> Creates the UNIX file in Yellow Pages (YP) format.

> Specify /NOYP_FORMAT for a BIND database.

> If you specify /YP_FORMAT, the converted file has the following format:

>     IP_address  network  network_alias_list

> The /etc/network file, which is served by YP, also has this format.

> If you specify /NOYP_FORMAT, the converted file has the following format:

>     network  IP_address  network_alias_list

> Previous | Next | Contents